AM263Px MCU+ SDK: APIs for SOC Xbars

| AM263Px MCU+ SDK 26.00.00 |

Functions | Macros
APIs for SOC Xbars
APIs for SOC Specific Device Drivers » APIs for SOC Specific Functions

## Introduction

For more details and example usage, see SOC

## Functions
static void | SOC_xbarSelectInputXBarInputSource (uint32_t base, uint8_t out, uint8_t group_select, uint8_t group0_muxctl, uint8_t group1_muxctl)
| Trip & Sync xbar: API to select input source of Input XBar. More...
static void | SOC_xbarSelectInputXBarInputSource_ext (uint32_t base, uint8_t out, uint8_t group_select, uint8_t group0_muxctl, uint8_t group1_muxctl, uint8_t group2_muxctl)
| Trip & Sync xbar: API to select input source of Input XBar. More...
static uint32_t | SOC_xbarGetPWMXBarOutputSignalStatus (uint32_t base)
| Trip & Sync xbar: API to read raw output signal status of all PWM XBars. More...
static void | SOC_xbarInvertPWMXBarOutputSignalBeforeLatch (uint32_t base, uint32_t invert_mask)
| Trip & Sync xbar: API to configure inversion of output signal status flag (latched) of PWM XBars. More...
static uint32_t | SOC_xbarGetPWMXBarOutputSignalLatchedFlag (uint32_t base)
| Trip & Sync xbar: API to read latched output signal status of all PWM XBars. More...
static void | SOC_xbarClearPWMXBarOutputSignalLatchedFlag (uint32_t base, uint32_t clr)
| Trip & Sync xbar: API to clear output signal status flag (latched) of PWM XBars. More...
static void | SOC_xbarSelectPWMXBarInputSource (uint32_t base, uint8_t out, uint32_t group0_mask, uint32_t group1_mask, uint32_t group2_mask, uint32_t group3_mask, uint32_t group4_mask, uint32_t group5_mask, uint32_t group6_mask, uint32_t group7_mask, uint32_t group8_mask)
| Trip & Sync xbar: API to select input sources of PWM XBar. More...
static void | SOC_xbarSelectPWMXBarInputSource_ext (uint32_t base, uint8_t out, uint32_t group0_mask, uint32_t group1_mask, uint32_t group2_mask, uint32_t group3_mask, uint32_t group4_mask, uint32_t group5_mask, uint32_t group6_mask, uint32_t group7_mask, uint32_t group8_mask, uint32_t group9_mask)
| Trip & Sync xbar: API to select input sources of PWM XBar. More...
static void | SOC_xbarSelectMinimumDeadBandLogicXBarInputSource (uint32_t base, uint8_t out, uint32_t group0_mask, uint32_t group1_mask, uint32_t group2_mask)
| Trip & Sync xbar: API to select input sources of MDL XBar. More...
static void | SOC_xbarSelectIllegalComboLogicXBarInputSource (uint32_t base, uint8_t out, uint32_t group0_mask, uint32_t group1_mask, uint32_t group2_mask)
| Trip & Sync xbar: API to select input sources of ICL XBar. More...
static void | SOC_xbarSelectInterruptXBarInputSource (uint32_t base, uint8_t out, uint32_t group0_mask, uint32_t group1_mask, uint32_t group2_mask, uint32_t group3_mask, uint32_t group4_mask, uint32_t group5_mask, uint32_t group6_mask)
| Trip & Sync xbar: API to select input sources of Interrupt XBar. More...
static void | SOC_xbarSelectInterruptXBarInputSource_ext (uint32_t base, uint8_t out, uint32_t group0_mask, uint32_t group1_mask, uint32_t group2_mask, uint32_t group3_mask, uint32_t group4_mask, uint32_t group5_mask, uint32_t group6_mask, uint32_t group7_mask, uint32_t group8_mask, uint32_t group9_mask)
| Trip & Sync xbar: API to select input sources of Interrupt XBar. More...
static void | SOC_xbarSelectDMAXBarInputSource (uint32_t base, uint8_t out, uint8_t group_select, uint8_t group0_muxctl, uint8_t group1_muxctl, uint8_t group2_muxctl, uint8_t group3_muxctl, uint8_t group4_muxctl, uint8_t group5_muxctl)
| Trip & Sync xbar: API to select input source of DMA XBar. More...
static void | SOC_xbarSelectDMAXBarInputSource_ext (uint32_t base, uint8_t out, uint8_t group_select, uint8_t group0_muxctl, uint8_t group1_muxctl, uint8_t group2_muxctl, uint8_t group3_muxctl, uint8_t group4_muxctl, uint8_t group5_muxctl, uint8_t group6_muxctl)
| Trip & Sync xbar: API to select input source of DMA XBar. More...
static uint32_t | SOC_xbarGetOutputXBarOutputSignalStatus (uint32_t base)
| Trip & Sync xbar: API to read raw output signal status of all Output XBars. More...
static void | SOC_xbarInvertOutputXBarOutputSignalBeforeLatch (uint32_t base, uint32_t invert)
| Trip & Sync xbar: API to configure inversion of output signal status flag (latched) of Output XBars. More...
static uint32_t | SOC_xbarGetOutputXBarOutputSignalLatchedFlag (uint32_t base)
| Trip & Sync xbar: API to read latched output signal status of all Output XBars. More...
static void | SOC_xbarClearOutputXBarOutputSignalLatchedFlag (uint32_t base, uint32_t clr)
| Trip & Sync xbar: API to clear output signal status flag (latched) of Output XBars. More...
static void | SOC_xbarForceOutputXBarOutputSignalLatchedFlag (uint32_t base, uint32_t force)
| Trip & Sync xbar: API to force output signal status flag (latched) of Output XBars. More...
static void | SOC_xbarSelectLatchOutputXBarOutputSignal (uint32_t base, uint32_t latchselect)
| Trip & Sync xbar: API to select output of Output XBars. More...
static void | SOC_xbarSelectStretchedPulseOutputXBarOutputSignal (uint32_t base, uint32_t stretchselect)
| Trip & Sync xbar: API to enable pulse stretching of output of Output XBars. More...
static void | SOC_xbarSelectStretchedPulseLengthOutputXBarOutputSignal (uint32_t base, uint32_t lengthselect)
| Trip & Sync xbar: API to configure pulse streching length of output of Output XBars. More...
static void | SOC_xbarInvertOutputXBarOutputSignal (uint32_t base, uint32_t invertout)
| Trip & Sync xbar: API to configure inversion of output signal of Output XBars. More...
static void | SOC_xbarSelectOutputXBarInputSource (uint32_t base, uint8_t out, uint32_t group0_mask, uint32_t group1_mask, uint32_t group2_mask, uint32_t group3_mask, uint32_t group4_mask, uint32_t group5_mask, uint32_t group6_mask, uint32_t group7_mask, uint32_t group8_mask, uint32_t group9_mask, uint32_t group10_mask)
| Trip & Sync xbar: API to select input sources of Output XBar. More...
static void | SOC_xbarSelectPWMSyncOutXBarInput (uint32_t base, uint8_t out, uint32_t input)
| Trip & Sync xbar: API to select input sources of PWM Syncout XBar. More...
static void | SOC_xbarSelectPWMSyncOutXBarInput_ext (uint32_t base, uint8_t out, uint32_t group0_mask, uint32_t group1_mask)
| Trip & Sync xbar: API to select input sources of PWM Syncout XBar. More...
static void | SOC_xbarSelectEdmaTrigXbarInputSource (uint32_t base, uint8_t out, uint8_t mux_control)
| SoC level xbars: API to select input source of EDMA Trigger XBar. More...
static void | SOC_xbarSelectGpioIntrXbarInputSource (uint32_t base, uint8_t out, uint8_t mux_control)
| SoC level xbars: API to select input source of GPIO Interrupt XBar. More...
static void | SOC_xbarSelectIcssmIntrXbarInputSource (uint32_t base, uint8_t out, uint8_t mux_control)
| SoC level xbars: API to select input source of ICSSM Interrupt XBar. More...
static void | SOC_xbarSelectTimesyncXbar0InputSource (uint32_t base, uint8_t out, uint8_t mux_control)
| SoC level xbars: API to select input source of TimeSync XBar0. More...
static void | SOC_xbarSelectTimesyncXbar1InputSource (uint32_t base, uint8_t out, uint8_t mux_control)
| SoC level xbars: API to select input source of TimeSync XBar1. More...

## Macros
#define | CSL_CONTROLSS_INPUTXBAR_STEP (CSL_CONTROLSS_INPUTXBAR_INPUTXBAR1_GSEL - CSL_CONTROLSS_INPUTXBAR_INPUTXBAR0_GSEL)
#define | CSL_CONTROLSS_PWMXBAR_STEP (CSL_CONTROLSS_PWMXBAR_PWMXBAR1_G0 - CSL_CONTROLSS_PWMXBAR_PWMXBAR0_G0)
#define | CSL_CONTROLSS_MDLXBAR_STEP (CSL_CONTROLSS_MDLXBAR_MDLXBAR1_G0 - CSL_CONTROLSS_MDLXBAR_MDLXBAR0_G0)
#define | CSL_CONTROLSS_ICLXBAR_STEP (CSL_CONTROLSS_ICLXBAR_ICLXBAR1_G0 - CSL_CONTROLSS_ICLXBAR_ICLXBAR0_G0)
#define | CSL_CONTROLSS_INTXBAR_STEP (CSL_CONTROLSS_INTXBAR_INTXBAR1_G0 - CSL_CONTROLSS_INTXBAR_INTXBAR0_G0)
#define | CSL_CONTROLSS_DMAXBAR_STEP (CSL_CONTROLSS_DMAXBAR_DMAXBAR1_GSEL - CSL_CONTROLSS_DMAXBAR_DMAXBAR0_GSEL)
#define | CSL_CONTROLSS_OUTPUTXBAR_STEP (CSL_CONTROLSS_OUTPUTXBAR_OUTPUTXBAR1_G0 - CSL_CONTROLSS_OUTPUTXBAR_OUTPUTXBAR0_G0)
#define | CSL_CONTROLSS_PWMSYNCOUTXBAR_STEP (CSL_CONTROLSS_PWMSYNCOUTXBAR_PWMSYNCOUTXBAR1_G0 - CSL_CONTROLSS_PWMSYNCOUTXBAR_PWMSYNCOUTXBAR0_G0)

## Macro Definition Documentation

## ◆ CSL_CONTROLSS_INPUTXBAR_STEP

#define CSL_CONTROLSS_INPUTXBAR_STEP (CSL_CONTROLSS_INPUTXBAR_INPUTXBAR1_GSEL - CSL_CONTROLSS_INPUTXBAR_INPUTXBAR0_GSEL)

## ◆ CSL_CONTROLSS_PWMXBAR_STEP

#define CSL_CONTROLSS_PWMXBAR_STEP (CSL_CONTROLSS_PWMXBAR_PWMXBAR1_G0 - CSL_CONTROLSS_PWMXBAR_PWMXBAR0_G0)

## ◆ CSL_CONTROLSS_MDLXBAR_STEP

#define CSL_CONTROLSS_MDLXBAR_STEP (CSL_CONTROLSS_MDLXBAR_MDLXBAR1_G0 - CSL_CONTROLSS_MDLXBAR_MDLXBAR0_G0)

## ◆ CSL_CONTROLSS_ICLXBAR_STEP

#define CSL_CONTROLSS_ICLXBAR_STEP (CSL_CONTROLSS_ICLXBAR_ICLXBAR1_G0 - CSL_CONTROLSS_ICLXBAR_ICLXBAR0_G0)

## ◆ CSL_CONTROLSS_INTXBAR_STEP

#define CSL_CONTROLSS_INTXBAR_STEP (CSL_CONTROLSS_INTXBAR_INTXBAR1_G0 - CSL_CONTROLSS_INTXBAR_INTXBAR0_G0)

## ◆ CSL_CONTROLSS_DMAXBAR_STEP

#define CSL_CONTROLSS_DMAXBAR_STEP (CSL_CONTROLSS_DMAXBAR_DMAXBAR1_GSEL - CSL_CONTROLSS_DMAXBAR_DMAXBAR0_GSEL)

## ◆ CSL_CONTROLSS_OUTPUTXBAR_STEP

#define CSL_CONTROLSS_OUTPUTXBAR_STEP (CSL_CONTROLSS_OUTPUTXBAR_OUTPUTXBAR1_G0 - CSL_CONTROLSS_OUTPUTXBAR_OUTPUTXBAR0_G0)

## ◆ CSL_CONTROLSS_PWMSYNCOUTXBAR_STEP

#define CSL_CONTROLSS_PWMSYNCOUTXBAR_STEP (CSL_CONTROLSS_PWMSYNCOUTXBAR_PWMSYNCOUTXBAR1_G0 - CSL_CONTROLSS_PWMSYNCOUTXBAR_PWMSYNCOUTXBAR0_G0)

## Function Documentation

## ◆ SOC_xbarSelectInputXBarInputSource()

static void SOC_xbarSelectInputXBarInputSource | ( | uint32_t | base,
|  | uint8_t | out,
|  | uint8_t | group_select,
|  | uint8_t | group0_muxctl,
|  | uint8_t | group1_muxctl
| ) |  |
| inlinestatic

Trip & Sync xbar: API to select input source of Input XBar.

Parameters

  base | [in] Input XBar base address
  out | [in] Instance of Input XBar
  group0_muxctl | [in] Mux control to select input from group 0 mux
  group1_muxctl | [in] Mux control to select input from group 1 mux
  group_select | [in] Mux control to select group 0 or 1

## ◆ SOC_xbarSelectInputXBarInputSource_ext()

static void SOC_xbarSelectInputXBarInputSource_ext | ( | uint32_t | base,
|  | uint8_t | out,
|  | uint8_t | group_select,
|  | uint8_t | group0_muxctl,
|  | uint8_t | group1_muxctl,
|  | uint8_t | group2_muxctl
| ) |  |
| inlinestatic

Trip & Sync xbar: API to select input source of Input XBar.

Parameters

  base | [in] Input XBar base address
  out | [in] Instance of Input XBar
  group0_muxctl | [in] Mux control to select input from group 0 mux
  group1_muxctl | [in] Mux control to select input from group 1 mux
  group2_muxctl | [in] Mux control to select input from group 2 mux
  group_select | [in] Mux control to select group 0,1 or 2

## ◆ SOC_xbarGetPWMXBarOutputSignalStatus()

static uint32_t SOC_xbarGetPWMXBarOutputSignalStatus | ( | uint32_t | base | ) |
| inlinestatic

Trip & Sync xbar: API to read raw output signal status of all PWM XBars.

Parameters

  base | [in] PWM XBar base address

Returns
  uint32_t PWM XBar status

## ◆ SOC_xbarInvertPWMXBarOutputSignalBeforeLatch()

static void SOC_xbarInvertPWMXBarOutputSignalBeforeLatch | ( | uint32_t | base,
|  | uint32_t | invert_mask
| ) |  |
| inlinestatic

Trip & Sync xbar: API to configure inversion of output signal status flag (latched) of PWM XBars.

Parameters

  base | [in] PWM XBar base address
  invert_mask | [in] Mask defining the PWM XBar output signal flags (latched) to be inverted

## ◆ SOC_xbarGetPWMXBarOutputSignalLatchedFlag()

static uint32_t SOC_xbarGetPWMXBarOutputSignalLatchedFlag | ( | uint32_t | base | ) |
| inlinestatic

Trip & Sync xbar: API to read latched output signal status of all PWM XBars.

Parameters

  base | [in] PWM XBar base address

Returns
  uint32_t PWM XBar latched status flags

## ◆ SOC_xbarClearPWMXBarOutputSignalLatchedFlag()

static void SOC_xbarClearPWMXBarOutputSignalLatchedFlag | ( | uint32_t | base,
|  | uint32_t | clr
| ) |  |
| inlinestatic

Trip & Sync xbar: API to clear output signal status flag (latched) of PWM XBars.

Parameters

  base | [in] PWM XBar base address
  clr | [in] Mask defining the PWM XBar output signal flags (latched) to be cleared

## ◆ SOC_xbarSelectPWMXBarInputSource()

static void SOC_xbarSelectPWMXBarInputSource | ( | uint32_t | base,
|  | uint8_t | out,
|  | uint32_t | group0_mask,
|  | uint32_t | group1_mask,
|  | uint32_t | group2_mask,
|  | uint32_t | group3_mask,
|  | uint32_t | group4_mask,
|  | uint32_t | group5_mask,
|  | uint32_t | group6_mask,
|  | uint32_t | group7_mask,
|  | uint32_t | group8_mask
| ) |  |
| inlinestatic

Trip & Sync xbar: API to select input sources of PWM XBar.

Parameters

  base | [in] PWM XBar base address
  out | [in] Instance of PWM XBar
  group0_mask | [in] Mask to OR inputs from group 0
  group1_mask | [in] Mask to OR inputs from group 1
  group2_mask | [in] Mask to OR inputs from group 2
  group3_mask | [in] Mask to OR inputs from group 3
  group4_mask | [in] Mask to OR inputs from group 4
  group5_mask | [in] Mask to OR inputs from group 5
  group6_mask | [in] Mask to OR inputs from group 6
  group7_mask | [in] Mask to OR inputs from group 7
  group8_mask | [in] Mask to OR inputs from group 8

## ◆ SOC_xbarSelectPWMXBarInputSource_ext()

static void SOC_xbarSelectPWMXBarInputSource_ext | ( | uint32_t | base,
|  | uint8_t | out,
|  | uint32_t | group0_mask,
|  | uint32_t | group1_mask,
|  | uint32_t | group2_mask,
|  | uint32_t | group3_mask,
|  | uint32_t | group4_mask,
|  | uint32_t | group5_mask,
|  | uint32_t | group6_mask,
|  | uint32_t | group7_mask,
|  | uint32_t | group8_mask,
|  | uint32_t | group9_mask
| ) |  |
| inlinestatic

Trip & Sync xbar: API to select input sources of PWM XBar.

Parameters

  base | [in] PWM XBar base address
  out | [in] Instance of PWM XBar
  group0_mask | [in] Mask to OR inputs from group 0
  group1_mask | [in] Mask to OR inputs from group 1
  group2_mask | [in] Mask to OR inputs from group 2
  group3_mask | [in] Mask to OR inputs from group 3
  group4_mask | [in] Mask to OR inputs from group 4
  group5_mask | [in] Mask to OR inputs from group 5
  group6_mask | [in] Mask to OR inputs from group 6
  group7_mask | [in] Mask to OR inputs from group 7
  group8_mask | [in] Mask to OR inputs from group 8
  group9_mask | [in] Mask to OR inputs from group 9

## ◆ SOC_xbarSelectMinimumDeadBandLogicXBarInputSource()

static void SOC_xbarSelectMinimumDeadBandLogicXBarInputSource | ( | uint32_t | base,
|  | uint8_t | out,
|  | uint32_t | group0_mask,
|  | uint32_t | group1_mask,
|  | uint32_t | group2_mask
| ) |  |
| inlinestatic

Trip & Sync xbar: API to select input sources of MDL XBar.

Parameters

  base | [in] MDL XBar base address
  out | [in] Instance of MDL XBar
  group0_mask | [in] Mask to OR inputs from group 0
  group1_mask | [in] Mask to OR inputs from group 1
  group2_mask | [in] Mask to OR inputs from group 2

## ◆ SOC_xbarSelectIllegalComboLogicXBarInputSource()

static void SOC_xbarSelectIllegalComboLogicXBarInputSource | ( | uint32_t | base,
|  | uint8_t | out,
|  | uint32_t | group0_mask,
|  | uint32_t | group1_mask,
|  | uint32_t | group2_mask
| ) |  |
| inlinestatic

Trip & Sync xbar: API to select input sources of ICL XBar.

Parameters

  base | [in] ICL XBar base address
  out | [in] Instance of ICL XBar
  group0_mask | [in] Mask to OR inputs from group 0
  group1_mask | [in] Mask to OR inputs from group 1
  group2_mask | [in] Mask to OR inputs from group 2

## ◆ SOC_xbarSelectInterruptXBarInputSource()

static void SOC_xbarSelectInterruptXBarInputSource | ( | uint32_t | base,
|  | uint8_t | out,
|  | uint32_t | group0_mask,
|  | uint32_t | group1_mask,
|  | uint32_t | group2_mask,
|  | uint32_t | group3_mask,
|  | uint32_t | group4_mask,
|  | uint32_t | group5_mask,
|  | uint32_t | group6_mask
| ) |  |
| inlinestatic

Trip & Sync xbar: API to select input sources of Interrupt XBar.

Parameters

  base | [in] Interrupt XBar base address
  out | [in] Instance of Interrupt XBar
  group0_mask | [in] Mask to OR inputs from group 0
  group1_mask | [in] Mask to OR inputs from group 1
  group2_mask | [in] Mask to OR inputs from group 2
  group3_mask | [in] Mask to OR inputs from group 3
  group4_mask | [in] Mask to OR inputs from group 4
  group5_mask | [in] Mask to OR inputs from group 5
  group6_mask | [in] Mask to OR inputs from group 6

## ◆ SOC_xbarSelectInterruptXBarInputSource_ext()

static void SOC_xbarSelectInterruptXBarInputSource_ext | ( | uint32_t | base,
|  | uint8_t | out,
|  | uint32_t | group0_mask,
|  | uint32_t | group1_mask,
|  | uint32_t | group2_mask,
|  | uint32_t | group3_mask,
|  | uint32_t | group4_mask,
|  | uint32_t | group5_mask,
|  | uint32_t | group6_mask,
|  | uint32_t | group7_mask,
|  | uint32_t | group8_mask,
|  | uint32_t | group9_mask
| ) |  |
| inlinestatic

Trip & Sync xbar: API to select input sources of Interrupt XBar.

Parameters

  base | [in] Interrupt XBar base address
  out | [in] Instance of Interrupt XBar
  group0_mask | [in] Mask to OR inputs from group 0
  group1_mask | [in] Mask to OR inputs from group 1
  group2_mask | [in] Mask to OR inputs from group 2
  group3_mask | [in] Mask to OR inputs from group 3
  group4_mask | [in] Mask to OR inputs from group 4
  group5_mask | [in] Mask to OR inputs from group 5
  group6_mask | [in] Mask to OR inputs from group 6
  group7_mask | [in] Mask to OR inputs from group 7
  group8_mask | [in] Mask to OR inputs from group 8
  group9_mask | [in] Mask to OR inputs from group 9

## ◆ SOC_xbarSelectDMAXBarInputSource()

static void SOC_xbarSelectDMAXBarInputSource | ( | uint32_t | base,
|  | uint8_t | out,
|  | uint8_t | group_select,
|  | uint8_t | group0_muxctl,
|  | uint8_t | group1_muxctl,
|  | uint8_t | group2_muxctl,
|  | uint8_t | group3_muxctl,
|  | uint8_t | group4_muxctl,
|  | uint8_t | group5_muxctl
| ) |  |
| inlinestatic

Trip & Sync xbar: API to select input source of DMA XBar.

Parameters

  base | [in] DMA XBar base address
  out | [in] Instance of DMA XBar
  group0_muxctl | [in] Mux control to select input from group 0 mux
  group1_muxctl | [in] Mux control to select input from group 1 mux
  group2_muxctl | [in] Mux control to select input from group 2 mux
  group3_muxctl | [in] Mux control to select input from group 3 mux
  group4_muxctl | [in] Mux control to select input from group 4 mux
  group5_muxctl | [in] Mux control to select input from group 5 mux
  group_select | [in] Mux control to select group 0/1/2/3/4/5

## ◆ SOC_xbarSelectDMAXBarInputSource_ext()

static void SOC_xbarSelectDMAXBarInputSource_ext | ( | uint32_t | base,
|  | uint8_t | out,
|  | uint8_t | group_select,
|  | uint8_t | group0_muxctl,
|  | uint8_t | group1_muxctl,
|  | uint8_t | group2_muxctl,
|  | uint8_t | group3_muxctl,
|  | uint8_t | group4_muxctl,
|  | uint8_t | group5_muxctl,
|  | uint8_t | group6_muxctl
| ) |  |
| inlinestatic

Trip & Sync xbar: API to select input source of DMA XBar.

Parameters

  base | [in] DMA XBar base address
  out | [in] Instance of DMA XBar
  group0_muxctl | [in] Mux control to select input from group 0 mux
  group1_muxctl | [in] Mux control to select input from group 1 mux
  group2_muxctl | [in] Mux control to select input from group 2 mux
  group3_muxctl | [in] Mux control to select input from group 3 mux
  group4_muxctl | [in] Mux control to select input from group 4 mux
  group5_muxctl | [in] Mux control to select input from group 5 mux
  group6_muxctl | [in] Mux control to select input from group 5 mux
  group_select | [in] Mux control to select group 0/1/2/3/4/5/6

## ◆ SOC_xbarGetOutputXBarOutputSignalStatus()

static uint32_t SOC_xbarGetOutputXBarOutputSignalStatus | ( | uint32_t | base | ) |
| inlinestatic

Trip & Sync xbar: API to read raw output signal status of all Output XBars.

Parameters

  base | [in] Output XBar base address

Returns
  uint32_t Output XBar status

## ◆ SOC_xbarInvertOutputXBarOutputSignalBeforeLatch()

static void SOC_xbarInvertOutputXBarOutputSignalBeforeLatch | ( | uint32_t | base,
|  | uint32_t | invert
| ) |  |
| inlinestatic

Trip & Sync xbar: API to configure inversion of output signal status flag (latched) of Output XBars.

Parameters

  base | [in] Output XBar base address
  invert | [in] Mask defining the Output XBar output signal flags (latched) to be inverted

## ◆ SOC_xbarGetOutputXBarOutputSignalLatchedFlag()

static uint32_t SOC_xbarGetOutputXBarOutputSignalLatchedFlag | ( | uint32_t | base | ) |
| inlinestatic

Trip & Sync xbar: API to read latched output signal status of all Output XBars.

Parameters

  base | [in] Output XBar base address

Returns
  uint32_t Output XBar latched status flags

## ◆ SOC_xbarClearOutputXBarOutputSignalLatchedFlag()

static void SOC_xbarClearOutputXBarOutputSignalLatchedFlag | ( | uint32_t | base,
|  | uint32_t | clr
| ) |  |
| inlinestatic

Trip & Sync xbar: API to clear output signal status flag (latched) of Output XBars.

Parameters

  base | [in] Output XBar base address
  clr | [in] Mask defining the Output XBar output signal flags (latched) to be cleared

## ◆ SOC_xbarForceOutputXBarOutputSignalLatchedFlag()

static void SOC_xbarForceOutputXBarOutputSignalLatchedFlag | ( | uint32_t | base,
|  | uint32_t | force
| ) |  |
| inlinestatic

Trip & Sync xbar: API to force output signal status flag (latched) of Output XBars.

Parameters

  base | [in] Output XBar base address
  force | [in] Mask defining the Output XBar output signal flags (latched) to be forced to set

## ◆ SOC_xbarSelectLatchOutputXBarOutputSignal()

static void SOC_xbarSelectLatchOutputXBarOutputSignal | ( | uint32_t | base,
|  | uint32_t | latchselect
| ) |  |
| inlinestatic

Trip & Sync xbar: API to select output of Output XBars.

Parameters

  base | [in] Output XBar base address
  latchselect | [in] Select latched / non-latched output

## ◆ SOC_xbarSelectStretchedPulseOutputXBarOutputSignal()

static void SOC_xbarSelectStretchedPulseOutputXBarOutputSignal | ( | uint32_t | base,
|  | uint32_t | stretchselect
| ) |  |
| inlinestatic

Trip & Sync xbar: API to enable pulse stretching of output of Output XBars.

Parameters

  base | [in] Output XBar base address
  stretchselect | [in] Select stretched / non-stretched output

## ◆ SOC_xbarSelectStretchedPulseLengthOutputXBarOutputSignal()

static void SOC_xbarSelectStretchedPulseLengthOutputXBarOutputSignal | ( | uint32_t | base,
|  | uint32_t | lengthselect
| ) |  |
| inlinestatic

Trip & Sync xbar: API to configure pulse streching length of output of Output XBars.

Parameters

  base | [in] Output XBar base address
  lengthselect | [in] Configure strech length

## ◆ SOC_xbarInvertOutputXBarOutputSignal()

static void SOC_xbarInvertOutputXBarOutputSignal | ( | uint32_t | base,
|  | uint32_t | invertout
| ) |  |
| inlinestatic

Trip & Sync xbar: API to configure inversion of output signal of Output XBars.

Parameters

  base | [in] Output XBar base address
  invertout | [in] Mask defining the Output XBar output signal to be inverted

## ◆ SOC_xbarSelectOutputXBarInputSource()

static void SOC_xbarSelectOutputXBarInputSource | ( | uint32_t | base,
|  | uint8_t | out,
|  | uint32_t | group0_mask,
|  | uint32_t | group1_mask,
|  | uint32_t | group2_mask,
|  | uint32_t | group3_mask,
|  | uint32_t | group4_mask,
|  | uint32_t | group5_mask,
|  | uint32_t | group6_mask,
|  | uint32_t | group7_mask,
|  | uint32_t | group8_mask,
|  | uint32_t | group9_mask,
|  | uint32_t | group10_mask
| ) |  |
| inlinestatic

Trip & Sync xbar: API to select input sources of Output XBar.

Parameters

  base | [in] Output XBar base address
  out | [in] Instance of Output XBar
  group0_mask | [in] Mask to OR inputs from group 0
  group1_mask | [in] Mask to OR inputs from group 1
  group2_mask | [in] Mask to OR inputs from group 2
  group3_mask | [in] Mask to OR inputs from group 3
  group4_mask | [in] Mask to OR inputs from group 4
  group5_mask | [in] Mask to OR inputs from group 5
  group6_mask | [in] Mask to OR inputs from group 6
  group7_mask | [in] Mask to OR inputs from group 7
  group8_mask | [in] Mask to OR inputs from group 8
  group9_mask | [in] Mask to OR inputs from group 9
  group10_mask | [in] Mask to OR inputs from group 10

## ◆ SOC_xbarSelectPWMSyncOutXBarInput()

static void SOC_xbarSelectPWMSyncOutXBarInput | ( | uint32_t | base,
|  | uint8_t | out,
|  | uint32_t | input
| ) |  |
| inlinestatic

Trip & Sync xbar: API to select input sources of PWM Syncout XBar.

Parameters

  base | [in] PWM Syncout XBar base address
  out | [in] Instance of PWM Syncout XBar
  input | [in] Mask to OR inputs

## ◆ SOC_xbarSelectPWMSyncOutXBarInput_ext()

static void SOC_xbarSelectPWMSyncOutXBarInput_ext | ( | uint32_t | base,
|  | uint8_t | out,
|  | uint32_t | group0_mask,
|  | uint32_t | group1_mask
| ) |  |
| inlinestatic

Trip & Sync xbar: API to select input sources of PWM Syncout XBar.

Parameters

  base | [in] PWM Syncout XBar base address
  out | [in] Instance of PWM Syncout XBar
  group0_mask | [in] Mask to OR inputs from group 0
  group1_mask | [in] Mask to OR inputs from group 1

## ◆ SOC_xbarSelectEdmaTrigXbarInputSource()

static void SOC_xbarSelectEdmaTrigXbarInputSource | ( | uint32_t | base,
|  | uint8_t | out,
|  | uint8_t | mux_control
| ) |  |
| inlinestatic

SoC level xbars: API to select input source of EDMA Trigger XBar.

Parameters

  base | [in] EDMA Trigger XBar base address
  out | [in] Instance of EDMA Trigger XBar
  mux_control | [in] Mux control to select input source

## ◆ SOC_xbarSelectGpioIntrXbarInputSource()

static void SOC_xbarSelectGpioIntrXbarInputSource | ( | uint32_t | base,
|  | uint8_t | out,
|  | uint8_t | mux_control
| ) |  |
| inlinestatic

SoC level xbars: API to select input source of GPIO Interrupt XBar.

Parameters

  base | [in] GPIO Interrupt XBar base address
  out | [in] Instance of GPIO Interrupt XBar
  mux_control | [in] Mux control to select input source

## ◆ SOC_xbarSelectIcssmIntrXbarInputSource()

static void SOC_xbarSelectIcssmIntrXbarInputSource | ( | uint32_t | base,
|  | uint8_t | out,
|  | uint8_t | mux_control
| ) |  |
| inlinestatic

SoC level xbars: API to select input source of ICSSM Interrupt XBar.

Parameters

  base | [in] ICSSM Interrupt XBar base address
  out | [in] Instance of ICSSM Interrupt XBar
  mux_control | [in] Mux control to select input source

## ◆ SOC_xbarSelectTimesyncXbar0InputSource()

static void SOC_xbarSelectTimesyncXbar0InputSource | ( | uint32_t | base,
|  | uint8_t | out,
|  | uint8_t | mux_control
| ) |  |
| inlinestatic

SoC level xbars: API to select input source of TimeSync XBar0.

Parameters

  base | [in] TimeSync XBar0 base address
  out | [in] Instance of TimeSync XBar0
  mux_control | [in] Mux control to select input source

## ◆ SOC_xbarSelectTimesyncXbar1InputSource()

static void SOC_xbarSelectTimesyncXbar1InputSource | ( | uint32_t | base,
|  | uint8_t | out,
|  | uint8_t | mux_control
| ) |  |
| inlinestatic

SoC level xbars: API to select input source of TimeSync XBar1.

Parameters

  base | [in] TimeSync XBar1 base address
  out | [in] Instance of TimeSync XBar1
  mux_control | [in] Mux control to select input source